---
openapi: 3.1.0
paths:
  /cosy/image-vin/mandators/oab/vin/{vin}/resolvedurls:
    get:
      parameters:
      - name: vin
        in: path
        required: true
        schema:
          type: string
      - name: collection
        in: query
        schema:
          type:
          - string
          - "null"
      - name: query
        in: query
        schema:
          type:
          - string
          - "null"
      - name: resolve
        in: query
        schema:
          type:
          - string
          - "null"
      responses:
        "200":
          description: OK
          content:
            application/json:
              schema: {}
      summary: Get Images
      tags:
      - Cosy Resource
  /des/api/v2/dealer/{dealerId}/{brand}:
    get:
      parameters:
      - name: brand
        in: path
        required: true
        schema:
          type: string
      - name: dealerId
        in: path
        required: true
        schema:
          type: string
      responses:
        "200":
          description: OK
          content:
            application/json:
              schema: {}
      summary: Get Services
      tags:
      - Dealer Resource
  /des/api/v2/mapping/{mappingId}:
    get:
      parameters:
      - name: mappingId
        in: path
        required: true
        schema:
          type: string
      responses:
        "200":
          description: OK
          content:
            application/json:
              schema: {}
      summary: Get Services Guest
      tags:
      - Dealer Resource
  /gcdm/protected/v4/{clientId}/{locale}/customers/businessPartners:
    get:
      parameters:
      - name: clientId
        in: path
        required: true
        schema:
          type: string
      - name: locale
        in: path
        required: true
        schema:
          type: string
      responses:
        "200":
          description: OK
          content:
            application/json:
              schema: {}
      summary: Get Customer
      tags:
      - Customer Resource
  /oas/api/v4/dealers/{mappingId}/services:
    get:
      parameters:
      - name: mappingId
        in: path
        required: true
        schema:
          type: string
      - name: include_due_services
        in: query
        schema:
          type: boolean
      - name: include_mobility_options
        in: query
        schema:
          type: boolean
      - name: vin
        in: query
        schema:
          type: string
        required: true
      - name: Gcid
        in: header
        schema:
          type: string
        required: true
      responses:
        "200":
          description: OK
          content:
            application/json:
              schema: {}
      summary: Get Services
      tags:
      - Appointment Resource
  /oas/api/v4/dealers/{mappingId}/services/guest:
    get:
      parameters:
      - name: mappingId
        in: path
        required: true
        schema:
          type: string
      - name: include_mobility_options
        in: query
        schema:
          type: boolean
      - name: vin
        in: query
        schema:
          type: string
        required: true
      responses:
        "200":
          description: OK
          content:
            application/json:
              schema: {}
      summary: Get Services Guest
      tags:
      - Appointment Resource
  /oas/api/v4/dealers/{mappingId}/timeslots:
    get:
      parameters:
      - name: mappingId
        in: path
        required: true
        schema:
          type: string
      - name: end
        in: query
        schema:
          type:
          - string
          - "null"
      - name: mobility_options
        in: query
        schema:
          type:
          - string
          - "null"
      - name: service_keys
        in: query
        schema:
          type:
          - string
          - "null"
      - name: start
        in: query
        schema:
          type:
          - string
          - "null"
      - name: vin
        in: query
        schema:
          type: string
        required: true
      - name: Gcid
        in: header
        schema:
          type: string
        required: true
      responses:
        "200":
          description: OK
          content:
            application/json:
              schema: {}
      summary: Get Timeslots
      tags:
      - Appointment Resource
  /oas/api/v4/dealers/{mappingId}/timeslots/guest:
    get:
      parameters:
      - name: mappingId
        in: path
        required: true
        schema:
          type: string
      - name: end
        in: query
        schema:
          type:
          - string
          - "null"
      - name: mobility_options
        in: query
        schema:
          type:
          - string
          - "null"
      - name: service_keys
        in: query
        schema:
          type:
          - string
          - "null"
      - name: start
        in: query
        schema:
          type:
          - string
          - "null"
      - name: vin
        in: query
        schema:
          type: string
        required: true
      responses:
        "200":
          description: OK
          content:
            application/json:
              schema: {}
      summary: Get Timeslots Guest
      tags:
      - Appointment Resource
  /svds/vehicle/internal/v6/{vin}:
    get:
      summary: Get Vehicle Specification and Technical Data
      parameters:
      - name: vin
        in: path
        required: true
        schema:
          type: string
      responses:
        "200":
          description: Successful operation
          content:
            application/json:
              schema: {}
      tags:
      - Vehicle Resource
info:
  title: ocp-oab-rest-mock API
  version: 0.0.1-SNAPSHOT
